Subject: bug#19607: closed (Re: bug#19607: issue with Emacs 24.4.1 but not with 24.3.1 : changed on disk; really edit the buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Mar 2015 00:14:02 +0000

Your bug report

#19607: issue with Emacs 24.4.1 but not with 24.3.1 : changed on disk; really edit the buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19607: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19607
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19607: issue with Emacs 24.4.1 but not with 24.3.1 : changed on disk; really edit the buffer
From: Paul Eggert <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Mar 2015 17:13:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris wrote:
>
> So does Emacs need to do anything about this, or should this be closed?
>

I'll close it.  It's an open bug in encfs:

https://github.com/vgough/encfs/issues/52

and the bug needs to be fixed there regardless of what Emacs does.  I don't see 
an easy way for Emacs to work around the bug.

Subject: issue with Emacs 24.4.1 but not with 24.3.1 : changed on disk; really edit the buffer
From: Bertrand Brelier <[email-masked]>
To: [email-masked]
Date: Thu, 15 Jan 2015 08:23:37 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello everybody,

I am using emacs on a Ubuntu server (14.04) to edit files.

I am editing files that are located in an encrypted directory with encfs
located on a Microsoft server (accessed with cifs).

When I edit the file and save it, and I continue to edit the file (without
closing it), I have the following issue where emacs thinks that the file
has changed on disk :

changed on disk; really edit the buffer? (y, n, r or C-h)
has changed since visited or saved.  Save anyway? (yes or no)

This problem is reproducible (it actually happens every-time) but only
happens with Emacs 24.4.1 and not with Emacs 24.3.1.

Also, I do not have the problem when I use an encrypted directory locally
(not on an external server) or when I use an non-encrypted directory on the
Microsoft server.

I have also checked that the file is not used or modified by another user
or program and since I do not have any issue with the version 24.3.1 on the
same files, I am wondering if the issue could come from the version 24.4.1

Please let me know if you need further information to investigate the issue.

Thank you for your help, I really appreciate working with emacs.

Regards,

Bertrand